(define-module (glicid system file-systems)
  #:use-module (gnu system file-systems)
  #:export (%cgroups)
)

(define %cgroups
  (append (list
    (file-system
      (device "cgroup")
      (mount-point "/sys/fs/cgroup/hugetlb")
      (type "cgroup")
      (check? #f)
      (options "hugetlb")
      (create-mount-point? #t)
      (dependencies (list (car %control-groups)))
    )
    (file-system
      (device "cgroup")
      (mount-point "/sys/fs/cgroup/net_cls")
      (type "cgroup")
      (check? #f)
      (options "net_cls")
      (create-mount-point? #t)
      (dependencies (list (car %control-groups)))
    )
    (file-system
      (device "cgroup")
      (mount-point "/sys/fs/cgroup/net_prio")
      (type "cgroup")
      (check? #f)
      (options "net_prio")
      (create-mount-point? #t)
      (dependencies (list (car %control-groups)))
    )
    (file-system
      (device "cgroup")
      (mount-point "/sys/fs/cgroup/systemd")
      (type "cgroup")
      (check? #f)
      (options "none,name=systemd")
      (create-mount-point? #t)
      (dependencies (list (car %control-groups)))
    )
  ))
)
